#!/bin/bash
### configuration
## general
GREEN='\033[0;32m'
RED='\033[0;31m'
CYAN='\033[0;36m'
NC='\033[0m'
# UbiCast password (shell account)
UBICAST_PASSWD=test
## repository
# cache for retrieving packages
CACHE=panel.ubicast.eu
# panel address
PANEL=skyreach.ubicast.net
# panel api key
API=sde6b2af8d9feb2153d82e8183aa26a5
ETC_HOSTNAME=toto

## envsetup
# superuser = ubicast
SUPERUSER_PWD=test
ADMIN_PWD=test
MONITOR_SUPERUSER_PWD=test
MONITOR_ADMIN_PWD=test
CM_SUPERUSER_PWD=test
CM_ADMIN_PWD=test
# customer shell account (admin)
SHELL_PWD=test

# WOWZA
WOWZA_MANAGER_PWD=test
WOWZA_LICENSE=test
WOWZA_LIVE_PASSWD=123456789
# MySQL
MYSQLD_PWD=1234
# celerity
CELERIY_SIGNING_KEY=test
# is MS a worker too ?
IS_WORKER=0
WORKER_IP=127.0.1.1

## CM
# apt-cache-ng credentials
APT_CACHE_USER=admin
#APT_CACHE_PASSWD=AUTOMATICALLY GENERATED

## webserver URLs
# MS
HOSTNAME=maquette.ubicast.net
MS=maquette.ubicast.net
CM=cm-maquette.ubicast.net
MONITOR=monitor-maquette.ubicast.net
# streaming URL
WOWZA=streaming-maquette.ubicast.net


#--- client configuration (applied with envsetup-launcher.sh client) ---#
# locale : FR, EN
CUST_LOCALE=EN
CUST_TZ=EN
# NTP
CUST_NTP1=
CUST_NTP2=
CUST_NTP3=
CUST_IP=0
CUST_NS1=0
CUST_NS2=0
CUST_NETMASK=0
CUST_GATEWAY=0
# SSL certificate # leave blank if none
SSL_CERTIFICATE=/etc/ssl/ubicast_net/STAR_ubicast_net_bundle.crt
SSL_CERTIFICATE_KEY=/etc/ssl/ubicast_net/ubicast_net.key
# proxy (0/1)
PROXY=0
PROXY_AUTHENTICATION=0
PROXY_HTTP=
PROXY_HTTPS=
PROXY_PORT=
PROXY_USER=
PROXY_PASSWD=
# SMTP server (leave blank if none)
CUST_SMTP=
DEFAULT_FROM_EMAIL=support@ubicast.eu
# MediaVault
CUST_BURP_MAIL_DEST=sysadmin@ubicast.eu


#--- worker specific ---#
# API - needed by worker
# ID - virtu_dev
MS_ID=
# API - J00pN-aRseu-dnfMq-678CV-9nS9E
MS_API=

#--- cache server specific ---#
## cache
# cache directory, prefer a ramfs - /tmp
CACHE_DIR=/tmp
# only used by nginx internal -	cache, toto
CACHE_NAME=cache
# allowed size in GB - 100
CACHE_SIZE=2
# origin server - http://streaming-delltest.ubicast.net
PROXY_PASS_STREAM=http://streaming.beta.ubicast.net
# origin server - http://videos-delltest.ubicast.net
PROXY_PASS_VOD=http://videos.beta.ubicast.net
# munin - be carefull, format is important
MUNIN_SRV=10\\.139\\.71\\.14

#--- backup server specific ---#
BURP_STATUS_IP=
BURPUI_PASSWORD=1234
# FQDN
BURP_SERVER=backupserver.ubicast.net
BURP_MAIL_DEST=sysadmin@ubicast.eu
# default mediaserver
BURP_CLIENT_NAME=

#--- HA server specific ---#
## HA
NODE1=ha-ms3
NODE1_IP=192.168.41.178
NODE2=ha-ms4
NODE2_IP=192.168.41.179
LB1=ha-lb3
LB1_IP=192.168.41.177
LB2=
LB2_IP=

#--- VM specific ---#
## spacecake virtual machines
KEY=~/.ssh/ubicast_support
# hypervisor
HYPER=vboxserver
# path from ${HYPER}
STORE=/media/nas/EXPORT
# path to STORE from your machine
STORE_LOCAL=/media/nas/Production/images_vm/EXPORT

## spacecake virtual machines
# if blank, will use ETC_HOSTNAME
VM=
